X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Windows 8, Firefox 16.02 won't install due to side-by-side configuation

Posted

Using a Sony Vaio laptop. Bought today. Able to install Firefox 3.6. But not 16.02. When an attempt to install Firefox 16.02 is performed, an error message appears with the following.

"The application has failed to start because its side-by-side configuation is incorrect. Please see the application event log or use the command-line sxstrace.exe tool for more detail"

Happens every time. Though Firefox 3.6 will work fine. Not perfectly, but fine.

Additional System Details

This happened

Every time Firefox opened

This started when...

Running 16.02 installation

Installed Plug-ins

  • Default Plug-in
  • Intel web components for Intel® Identity Protection Technology
  • Intel web components updater - Installs and updates the Intel web components
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 10.5.0 for Mozilla browsers
  • WildTangent Games App V2 Presence Detector
  • Classic Java Plug-in 10.5.0 for Netscape and Mozilla
  • Adobe PDF Plug-In For Firefox and Netscape 10.0.0

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.2; en-GB; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13

More Information

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

Helpful Reply

hello, windows 8 is not yet listed as a supported OS at https://www.mozilla.org/en-US/firefox.../system-requirements/. there's still quite a bit of integration work necessary to get firefox released on windows 8.

even if it does start up, please don't run firefox 3.6.x or any other outdated version of the browser since they will contain severe security vulnerabilities which can put your system & personal data at risk when you're online...

https://www.mozilla.org/security/known-vulnerabilities/firefox.html

Question owner

Ah ok I won't use Firefox until the latest version is compatible.

Any idea how long it will take for there to be a version that'll run on 8?

cor-el
  • Top 10 Contributor
  • Moderator
10761 solutions 96847 answers

SxS issues can be caused by a corrupted Visual C++ installation (multiple versions can be installed side-by-side; SxS).

You can try to use the sxstrace.exe tool to see if you can find which files are missing or corrupted and (re)install missing Visual C++ libraries.

philipp
  • Top 10 Contributor
  • Moderator
2046 solutions 8901 answers

Helpful Reply

full support of the firefox desktop version for windows 8 will come in firefox 18, which will be released in the first week of 2013 - the modern UI aka. metro version will follow some time later.

if you want to, you can also test the beta version of firefox 18 once it will land on November 19, 2012: https://www.mozilla.org/firefox/beta/